# Uses of Interface
org.eclipse.birt.chart.model.component.DialRegion

Packages that use DialRegion
Package
Description
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.

## Uses of DialRegion in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return DialRegion
Modifier and Type
Method
Description
`DialRegion`
DialRegion.`copyInstance()`
`DialRegion`
ComponentFactory.`createDialRegion()`
Returns a new object of class 'Dial Region'.
Methods in org.eclipse.birt.chart.model.component that return types with arguments of type DialRegion
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<DialRegion>`
Dial.`getDialRegions()`
Returns the value of the 'Dial Regions' containment reference list.

## Uses of DialRegion in org.eclipse.birt.chart.model.component.impl

Classes in org.eclipse.birt.chart.model.component.impl that implement DialRegion
Modifier and Type
Class
Description
`class`
`DialRegionImpl`
An implementation of the model object 'Dial Region'.
Methods in org.eclipse.birt.chart.model.component.impl that return DialRegion
Modifier and Type
Method
Description
`DialRegion`
DialRegionImpl.`copyInstance()`
`static final DialRegion`
DialRegionImpl.`create()`
`static final DialRegion`
DialRegionImpl.`createDefault()`
`DialRegion`
ComponentFactoryImpl.`createDialRegion()`
Methods in org.eclipse.birt.chart.model.component.impl that return types with arguments of type DialRegion
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<DialRegion>`
DialImpl.`getDialRegions()`